Get V1 vault pending governance actions
Pending governance actions for a Morpho Vault V1, including timelocked cap increases, timelock decreases, guardian changes, market removals, and pending ownership transfers.
Vault selector example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB (format: <chain_id>:<vault_address>; replace with the target vault).
Enterprise API access
For enterprise access, use https://private.api.morpho.org as the base URL and send your API key in the x-api-key header. Request an API key.
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB.
Format
<chain_id>:<vault_address>Query Parameters
limit?integer
Default
100Range
1 <= value <= 1000cursor?string
Response Body
application/json
const baseUrl = process.env.CORE_REST_BASE_URL ?? "https://api.morpho.org";const apiKey = process.env.MORPHO_API_KEY ?? "<MORPHO_API_KEY>";const vaultSelector = "1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB";const url = new URL(`${baseUrl}/v0/vaults-v1/${vaultSelector}/pending-governance-actions`);const response = await fetch(url, { headers: { accept: "application/json", "x-api-key": apiKey, },});if (!response.ok) throw new Error(await response.text());const body = await response.json();{
"params": {
"chain_id": 1,
"vault_address": "0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB"
},
"data": [
{
"action_type": "set_cap",
"parameters": {
"market_id": "0x3a85e619751152991742810df6ec69ce473daef99e28a64ab2340d7b7ccfee49",
"new_supply_cap": "1000000000000"
},
"submitted_transaction_hash": "0x1111111111111111111111111111111111111111111111111111111111111111",
"executable_at_timestamp": 1730086400
},
{
"action_type": "set_timelock",
"parameters": {
"new_timelock_seconds": 86400
},
"submitted_transaction_hash": "0x2222222222222222222222222222222222222222222222222222222222222222",
"executable_at_timestamp": 1730086400
},
{
"action_type": "set_guardian",
"parameters": {
"new_guardian": "0x4b6Cb9Cf2A3C4cD8b3F8bF8E2Cb5B7d4C0F2Ee99"
},
"submitted_transaction_hash": "0x3333333333333333333333333333333333333333333333333333333333333333",
"executable_at_timestamp": 1730086400
},
{
"action_type": "remove_market",
"parameters": {
"market_id": "0x3a85e619751152991742810df6ec69ce473daef99e28a64ab2340d7b7ccfee49"
},
"submitted_transaction_hash": "0x4444444444444444444444444444444444444444444444444444444444444444",
"executable_at_timestamp": 1730086400
},
{
"action_type": "transfer_ownership",
"parameters": {
"pending_owner": "0x4b6Cb9Cf2A3C4cD8b3F8bF8E2Cb5B7d4C0F2Ee99"
},
"submitted_transaction_hash": "0x5555555555555555555555555555555555555555555555555555555555555555",
"executable_at_timestamp": null
}
],
"cursor": null,
"last_indexed_block": "19847234"
}